gov.mercury3.memberNode.resource

## Class MemberNodeServerResource

- java.lang.Object
- - org.restlet.resource.UniformResource
  - - org.restlet.resource.ServerResource
    - - gov.mercury3.memberNode.resource.MemberNodeServerResource

-     public class MemberNodeServerResource
      extends org.restlet.resource.ServerResource

  Resource corresponding to a ping request received returns the named resource file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `nodeName`
    `String` | `restURL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberNodeServerResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doInit()`
    `protected org.restlet.representation.Representation` | `get()`

    - ### Methods inherited from class org.restlet.resource.ServerResource

      `abort, commit, delete, delete, describeVariants, doConditionalHandle, doHandle, doHandle, doNegotiatedHandle, get, getInfo, getInfo, getOnSent, getPreferredVariant, getVariants, handle, head, head, isAnnotated, isAutoCommitting, isCommitted, isConditional, isExisting, isInRole, isNegotiated, options, options, post, post, put, put, redirectPermanent, redirectPermanent, redirectSeeOther, redirectSeeOther, redirectTemporary, redirectTemporary, setAllowedMethods, setAnnotated, setAutoCommitting, setChallengeRequests, setCommitted, setConditional, setCookieSettings, setDimensions, setExisting, setLocationRef, setLocationRef, setNegotiated, setOnSent, setServerInfo, setStatus, setStatus, setStatus, setStatus, updateAllowedMethods, updateDimensions`

    - ### Methods inherited from class org.restlet.resource.UniformResource

      `doCatch, doRelease, getAllowedMethods, getApplication, getChallengeRequests, getChallengeResponse, getClientInfo, getConditions, getContext, getConverterService, getCookies, getCookieSettings, getDimensions, getHostRef, getLocationRef, getLogger, getMatrix, getMaxForwards, getMetadataService, getMethod, getOriginalRef, getProtocol, getQuery, getRanges, getReference, getReferrerRef, getRequest, getRequestAttributes, getRequestEntity, getResponse, getResponseAttributes, getResponseEntity, getRootRef, getServerInfo, getStatus, getStatusService, init, isConfidential, release, setRequest, setResponse, toObject, toRepresentation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nodeName

          public String nodeName

    - #### restURL

          public String restURL

  - ### Constructor Detail

    - #### MemberNodeServerResource

          public MemberNodeServerResource()

  - ### Method Detail

    - #### doInit

          protected void doInit()
                         throws org.restlet.resource.ResourceException

      Overrides:
        `doInit` in class `org.restlet.resource.UniformResource`
      Throws:
        `org.restlet.resource.ResourceException`

    - #### get

          protected org.restlet.representation.Representation get()
                                                           throws org.restlet.resource.ResourceException

      Overrides:
        `get` in class `org.restlet.resource.ServerResource`
      Throws:
        `org.restlet.resource.ResourceException`

Copyright © 2016. All rights reserved.